<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__hw__types" kind="group">
    <compoundname>Group_hal_impl_hw_types</compoundname>
    <title>PSoC 6 Specific Hardware Types</title>
    <innerclass prot="public" refid="structcyhal__clock__t">cyhal_clock_t</innerclass>
    <innerclass prot="public" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</innerclass>
    <innerclass prot="public" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</innerclass>
    <innerclass prot="public" refid="structcyhal__tcpwm__t">cyhal_tcpwm_t</innerclass>
    <innerclass prot="public" refid="structcyhal__dma__t">cyhal_dma_t</innerclass>
    <innerclass prot="public" refid="unioncyhal__dma__t_8channel__config">cyhal_dma_t.channel_config</innerclass>
    <innerclass prot="public" refid="unioncyhal__dma__t_8descriptor__config">cyhal_dma_t.descriptor_config</innerclass>
    <innerclass prot="public" refid="unioncyhal__dma__t_8descriptor">cyhal_dma_t.descriptor</innerclass>
    <innerclass prot="public" refid="structcyhal__adc__t">cyhal_adc_t</innerclass>
    <innerclass prot="public" refid="structcyhal__adc__channel__t">cyhal_adc_channel_t</innerclass>
    <innerclass prot="public" refid="structcyhal__comp__t">cyhal_comp_t</innerclass>
    <innerclass prot="public" refid="unioncyhal__comp__t_8____unnamed____">cyhal_comp_t.__unnamed__</innerclass>
    <innerclass prot="public" refid="structcyhal__crc__t">cyhal_crc_t</innerclass>
    <innerclass prot="public" refid="structcyhal__dac__t">cyhal_dac_t</innerclass>
    <innerclass prot="public" refid="structcyhal__opamp__t">cyhal_opamp_t</innerclass>
    <innerclass prot="public" refid="structcyhal__flash__t">cyhal_flash_t</innerclass>
    <innerclass prot="public" refid="structcyhal__i2c__t">cyhal_i2c_t</innerclass>
    <innerclass prot="public" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</innerclass>
    <innerclass prot="public" refid="structcyhal__i2s__t">cyhal_i2s_t</innerclass>
    <innerclass prot="public" refid="structcyhal__lptimer__t">cyhal_lptimer_t</innerclass>
    <innerclass prot="public" refid="structcyhal__pdm__pcm__t">cyhal_pdm_pcm_t</innerclass>
    <innerclass prot="public" refid="structcyhal__pwm__t">cyhal_pwm_t</innerclass>
    <innerclass prot="public" refid="structcyhal__qspi__t">cyhal_qspi_t</innerclass>
    <innerclass prot="public" refid="structcyhal__quaddec__t">cyhal_quaddec_t</innerclass>
    <innerclass prot="public" refid="structcyhal__trng__t">cyhal_trng_t</innerclass>
    <innerclass prot="public" refid="structcyhal__rtc__t">cyhal_rtc_t</innerclass>
    <innerclass prot="public" refid="structcyhal__sdhc__t">cyhal_sdhc_t</innerclass>
    <innerclass prot="public" refid="structcyhal__sdio__t">cyhal_sdio_t</innerclass>
    <innerclass prot="public" refid="structcyhal__spi__t">cyhal_spi_t</innerclass>
    <innerclass prot="public" refid="structcyhal__timer__t">cyhal_timer_t</innerclass>
    <innerclass prot="public" refid="structcyhal__uart__t">cyhal_uart_t</innerclass>
    <innerclass prot="public" refid="structcyhal__usb__dev__t">cyhal_usb_dev_t</innerclass>
    <innerclass prot="public" refid="structcyhal__wdt__t">cyhal_wdt_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__impl__hw__types_1ga63b023ea7b5e73db59ddc0423c77975b" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_resource_t</name>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba612bee18e656ba78a4ca633f8913249d" prot="public">
          <name>CYHAL_RSC_ADC</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Analog to digital converter </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975bac10abc82f19b0a06a14a98e30a75b74d" prot="public">
          <name>CYHAL_RSC_BLESS</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Bluetooth communications block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba1b775f74aa64eb24531a8669a6e25546" prot="public">
          <name>CYHAL_RSC_CAN</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>CAN communication block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba59ccc8aae425c4249a6d44a211b9e13a" prot="public">
          <name>CYHAL_RSC_CLKPATH</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Clock Path. DEPRECATED. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba87c497b200dfbc0c5daf9617a89f4aa7" prot="public">
          <name>CYHAL_RSC_CLOCK</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba25fa2cb684b519d6826067ce6d5d1afe" prot="public">
          <name>CYHAL_RSC_CRYPTO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Crypto hardware accelerator </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975badad76bbe79d1dd504f44296427c38fe2" prot="public">
          <name>CYHAL_RSC_DAC</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Digital to analog converter </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975badd087e136a6661d42919ab8c145a395f" prot="public">
          <name>CYHAL_RSC_DMA</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>DMA controller </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba1f6f00a8d9b758e0ea4a1ad8da3f5dd0" prot="public">
          <name>CYHAL_RSC_DW</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Datawire DMA controller </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba5f4259788e0fc887772496df602d7549" prot="public">
          <name>CYHAL_RSC_GPIO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>General purpose I/O pin </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba6b93380724a9f1c695cf1f7a2e993a90" prot="public">
          <name>CYHAL_RSC_I2S</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>I2S communications block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66e93a0a9834e5b16a3156d87ad993e4" prot="public">
          <name>CYHAL_RSC_LCD</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Segment LCD controller </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe" prot="public">
          <name>CYHAL_RSC_LPCOMP</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Low power comparator </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba6408a108cf029e1e7b69c98ce86320e7" prot="public">
          <name>CYHAL_RSC_LPTIMER</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Low power timer </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8" prot="public">
          <name>CYHAL_RSC_OPAMP</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Opamp </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba9123cdde61ea752aa7c362b3f9ca2814" prot="public">
          <name>CYHAL_RSC_PDM</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>PCM/PDM communications block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba0b3f19bcd7698ff1293d1bcbccb31b77" prot="public">
          <name>CYHAL_RSC_SMIF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Quad-SPI communications block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba65ea21d45fd38e900113b40eb3849236" prot="public">
          <name>CYHAL_RSC_RTC</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Real time clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975bac1349fcb893be326bcd28ed254bd7a80" prot="public">
          <name>CYHAL_RSC_SCB</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Serial Communications Block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baf35ab7112b4bcd054bdb0874a441155a" prot="public">
          <name>CYHAL_RSC_SDHC</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>SD Host Controller </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baa445456a2983f23d4be55613f2d09eb6" prot="public">
          <name>CYHAL_RSC_TCPWM</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Timer/Counter/PWM block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba446a3390d41bd50e12d0b8f0c1715a53" prot="public">
          <name>CYHAL_RSC_UDB</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>UDB Array </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975bae7778bb22af66e6dfb5c620d6c3c9108" prot="public">
          <name>CYHAL_RSC_USB</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>USB communication block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975baf4c05e33bb994cc6a1d94bd301dcc988" prot="public">
          <name>CYHAL_RSC_INVALID</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Placeholder for invalid type </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_resource_t: </bold><linebreak />Resource types that the hardware manager supports.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="67" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="41" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="42" />
      </memberdef>
      <memberdef id="group__group__hal__impl__hw__types_1ga1968e793be1599de10dec9e2d48f66d6" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_clock_block_t</name>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6aa2ad8d65e54305da7b44a31098766bd0" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PERIPHERAL_8BIT</name>
          <initializer>= CY_SYSCLK_DIV_8_BIT</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>8bit Peripheral Divider </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ad7a5eb2a34cbaf931bf1aaab6f844689" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PERIPHERAL_16BIT</name>
          <initializer>= CY_SYSCLK_DIV_16_BIT</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>16bit Peripheral Divider </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a60962f330adb0e70b04db75c73f13b29" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PERIPHERAL_16_5BIT</name>
          <initializer>= CY_SYSCLK_DIV_16_5_BIT</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>16.5bit Peripheral Divider </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ac1db33a815241ce8130e4d10c04ecd6f" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PERIPHERAL_24_5BIT</name>
          <initializer>= CY_SYSCLK_DIV_24_5_BIT</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>24.5bit Peripheral Divider </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6acebb813360b499d38240f371cb561d25" prot="public">
          <name>CYHAL_CLOCK_BLOCK_IMO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Internal Main Oscillator Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a569f417eb328cc49ce9273c67a2c156c" prot="public">
          <name>CYHAL_CLOCK_BLOCK_ECO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>External Crystal Oscillator Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ade160370a906f1fc83b35b16a6304ba1" prot="public">
          <name>CYHAL_CLOCK_BLOCK_EXT</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>External Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a74961f9f75b8f9db755f985bd232f214" prot="public">
          <name>CYHAL_CLOCK_BLOCK_ALTHF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Alternate High Frequency Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a980d225119a02ae8e8cd097377b2efb9" prot="public">
          <name>CYHAL_CLOCK_BLOCK_ALTLF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Alternate Low Frequency Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ad0a58702a8cbdca688e6e511ca1f07d8" prot="public">
          <name>CYHAL_CLOCK_BLOCK_ILO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Internal Low Speed Oscillator Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a0d35ecdf452b2e4230ad24fa260d85b1" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PILO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Precision ILO Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6af1e5156df9893f46f841c501a44e15a9" prot="public">
          <name>CYHAL_CLOCK_BLOCK_WCO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Watch Crystal Oscillator Input Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a45e87fa3881a5f5f04152d86554ef472" prot="public">
          <name>CYHAL_CLOCK_BLOCK_MFO</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Medium Frequency Oscillator Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a63443ebb72d1f623ec03192bd61ae6a3" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PATHMUX</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Path selection mux for input to FLL/PLLs </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a3400dbd378560315601e80fafb271309" prot="public">
          <name>CYHAL_CLOCK_BLOCK_FLL</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Frequency-Locked Loop Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a72bcc11752a8d6a317f3f0d007b243b5" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PLL</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Phase-Locked Loop Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a2e58d5538b15cb4e62710429dc12cf3b" prot="public">
          <name>CYHAL_CLOCK_BLOCK_LF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Low Frequency Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ad12d89f860467b420f97751dd04177de" prot="public">
          <name>CYHAL_CLOCK_BLOCK_MF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Medium Frequency Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a1507c454c996026a54ff09cf67be74f5" prot="public">
          <name>CYHAL_CLOCK_BLOCK_HF</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>High Frequency Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a3e574cdce2f00e7445b8c8a722e11382" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PUMP</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Analog Pump Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a3f1e682cc21f1111141edca3b980a766" prot="public">
          <name>CYHAL_CLOCK_BLOCK_BAK</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Backup Power Domain Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6af95128613464988bea875bcc3dde0f2a" prot="public">
          <name>CYHAL_CLOCK_BLOCK_TIMER</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Timer Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a461e7c674bf0783647f330e6e4ddec77" prot="public">
          <name>CYHAL_CLOCK_BLOCK_ALT_SYS_TICK</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Alternative SysTick Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6aa108a2f435cd0685525c0f6c0eb40efd" prot="public">
          <name>CYHAL_CLOCK_BLOCK_FAST</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Fast Clock for CM4 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a758c14746dfb2b0c29e2cbb34debea58" prot="public">
          <name>CYHAL_CLOCK_BLOCK_PERI</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Peripheral Clock </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6ac5aab6717e8f989277c9a25720907bfb" prot="public">
          <name>CYHAL_CLOCK_BLOCK_SLOW</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
<para>Slow Clock for CM0+ </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_clock_block_t: </bold><linebreak />Enum for the different types of clocks that exist on the device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="106" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="71" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="72" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__impl__hw__types_1gae6e4ea4100036d96d2efc006a3f69c9b" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cyhal_source_t</definition>
        <argsstring />
        <name>cyhal_source_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Routable signal source </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="131" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="131" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__impl__hw__types_1gad822a466fc63847114add720ef84c83a" kind="define" prot="public" static="no">
        <name>CYHAL_ISR_PRIORITY_DEFAULT</name>
        <initializer>(7)</initializer>
        <briefdescription>
<para>Priority that is applied by default to all drivers when initalized. </para>        </briefdescription>
        <detaileddescription>
<para>Priorities can be overridden on each driver as part of enabling events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="107" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="107" />
      </memberdef>
      <memberdef id="group__group__hal__impl__hw__types_1gacd10538852e7575732463b1f552b73d4" kind="define" prot="public" static="no">
        <name>cyhal_system_callback_t</name>
        <initializer><ref kindref="member" refid="group__group__hal__types__implementation_1gabb967889ff74acdaad515b63d1761752">cy_stc_syspm_callback_t</ref></initializer>
        <briefdescription>
<para>Callbacks for Sleep and Deepsleep APIs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="134" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Aliases for types which are part of the public HAL interface but whose representations need to vary per HAL implementation. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>